import { ReactNode } from "react";
import { HighlightMode, Index, SpeakingWord, SpeechSynthesisEventName, StringArray } from "./types.js";
export declare function ArrayToText(node: StringArray): string;
export declare function JSXToArray(node: ReactNode): StringArray;
export declare function TextToChunks(text: string, size?: number): string[];
export declare function cancel(): void;
export declare function cloneUtterance(utterance: SpeechSynthesisUtterance, text: string): SpeechSynthesisUtterance;
export declare function findCharIndex(words: StringArray, index: number): string;
export declare const getIndex: (parentIndex: Index, index: Index) => string;
export declare function isMobile(iOS?: boolean): boolean;
export declare function isParent(parentIndex: string, index?: string): boolean;
export declare function parent(index?: string): string;
export declare const sanitize: (text: string) => string;
export declare function shouldHighlightNextPart(highlightMode: HighlightMode, name: SpeechSynthesisEventName, utterance: SpeechSynthesisUtterance, charIndex: number, isSpecialSymbol: number): boolean;
export declare function splitNode(highlightMode: HighlightMode, node: string, speakingWord: SpeakingWord): [string, string, string];
